//Version: Mon Apr 10 2023 17:16:37 GMT-0300. Environment: ubro. Type: ubro_alleyesonme


(function () {
    var tlMain;
    var tlImage;
    var gdelay=0;

    var start = new Date().getTime();

    function initAnimation() {

        //Timeline Begin
        tlMain = new TimelineMax();
        tlMain.add("init", "+=0");
        tlMain.set("#container", {autoAlpha:1}, "init");
        tlMain.to("#loading",0.2, {autoAlpha:0}, "init");

        tlMain.add("lastFrame", 15);

        gdelay=0;
        tlMain.add("frame1", "+=0");
        tlMain.call(scaleImage, ["#f1_image"], "frame1");
        tlMain.from("#f1_image", 0.7, {autoAlpha:0, ease: Power1.easeOut,delay: gdelay}, "frame1");
        gdelay=gdelay+0.5;
        tlMain.from("#f1_text1", 0.5, {autoAlpha:0, y:5, ease: Power1.easeOut,delay: gdelay}, "frame1");
        gdelay=gdelay+0.3;
        tlMain.from("#f1_text2", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame1");

        gdelay=0;
        tlMain.add("frame2", "+=2");
        tlMain.call(scaleImage, ["#f2_image"], "frame2");
        tlMain.from("#f2_image", 0.7, {autoAlpha:0, ease: Power1.easeOut,delay: gdelay}, "frame2");
        gdelay=gdelay+0.5;
        tlMain.from("#f2_text1", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame2");
        gdelay=gdelay+0.3;
        tlMain.from("#f2_text2", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame2");
        gdelay=gdelay+0.3;
        tlMain.from("#f2_text3", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame2");

        gdelay=0;
        tlMain.add("frame3", "+=2");
        tlMain.call(scaleImage, ["#f3_image"], "frame3");
        tlMain.from("#f3_image", 0.7, {autoAlpha:0, ease: Power1.easeOut,delay: gdelay}, "frame3");
        gdelay=gdelay+0.5;
        tlMain.from("#f3_text1", 0.5, {autoAlpha:0, y:5, ease: Power1.easeOut,delay: gdelay}, "frame3");
        tlMain.from("#f3_disclaimer", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame3");
        gdelay=gdelay+0.3;
        tlMain.from("#f3_text2", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame3");
        gdelay=gdelay+0.3;

        gdelay=0;
        tlMain.add("frame4", "+=2");
        tlMain.from("#f4_image", 0.7, {autoAlpha:0, ease: Power1.easeOut,delay: gdelay}, "frame4");
        tlMain.from("#f4_text1", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame4");

        gdelay=gdelay+0.6;
        tlMain.from("#f5_image", 0.5, {autoAlpha:0,ease: Power1.easeOut,delay: gdelay}, "frame4");
        tlMain.from("#f4_text2", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame4");

        gdelay=gdelay+0.6;
        tlMain.from("#f6_image", 0.5, {autoAlpha:0, ease: Power1.easeOut,delay: gdelay, onComplete: scrollIsi}, "frame4");
        tlMain.from("#f4_textu", 0.5, {autoAlpha:0, y:5,ease: Power1.easeOut,delay: gdelay}, "frame4");

        //tlMain.addPause("lastFrame");

    }

    function scaleImage(img) {
        var tlImage = new TimelineMax();
        tlImage.to(img, 5, {scale:1.10, x:5});
    }

    function scrollIsi() {
        //logTime();
        var tlScrollingIsi = new TimelineMax();
        tlScrollingIsi.add("scrollIsi", "+=5.4");
        tlScrollingIsi.to("#isi_text_area", 90, {scrollTo:{y:1400}, rotation:0, force3D:true, ease:Power0.easeIn}, "scrollIsi");
    }

    function logTime() {
        var end = new Date().getTime();
        var time = end - start;
        console.log(time);
    }

    function overScrollIsi(e) {
        TweenMax.killTweensOf("#isi_text_area");
    }

    function loadScript(url, callback) {
        var head = document.getElementsByTagName("head")[0];
        var script = document.createElement("script");
        script.type = "text/javascript";
        script.src = url;
        script.onreadystatechange = callback;
        script.onload = callback;
        head.appendChild(script);
    }

    //Exit Button
    exitBtn = document.getElementById("exitBtn");
    exitBtn.addEventListener('click', click);

    isiText = document.getElementById("isi_text_area");
    isiText.addEventListener('mouseover', overScrollIsi);

    function click(e) {
        window.open(window.clickTag, "_blank");
    }


    exitBtn.addEventListener('mouseover', over);
    exitBtn.addEventListener('mouseout', out);

    function over(e) {
        TweenMax.fromTo("#cta_over", 0.5, {autoAlpha:0},{autoAlpha:1});
        TweenMax.fromTo("#cta", 0.5, {autoAlpha:1},{autoAlpha:0});
    }

    function out(e) {
        TweenMax.fromTo("#cta_over", 0.5, {autoAlpha:1},{autoAlpha:0});
        TweenMax.fromTo("#cta", 0.5, {autoAlpha:0},{autoAlpha:1});
    }



    // init scriptload
    loadScript("https://cdnjs.cloudflare.com/ajax/libs/gsap/latest/plugins/ScrollToPlugin.min.js");
    loadScript("https://cdnjs.cloudflare.com/ajax/libs/gsap/latest/TweenMax.min.js", initAnimation);
    // end scriptload

})();
